Bug 1477110 - [trello zoxUAO2w] Cannot place cursor in terminal when text are selected outside
[trello zoxUAO2w] Cannot place cursor in terminal when text are selected outside
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.7.0
Unspecified Unspecified
medium Severity low
: ---
: 3.7.0
Assigned To: Samuel Padgett
XiaochuanWang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 04:45 EDT by shahan
Modified: 2017-11-28 03:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-31 09:01:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cursor (546.82 KB, application/octet-stream)
2017-08-01 04:47 EDT, shahan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-28 21:34:54 EST

  None (edit)
Description shahan 2017-08-01 04:45:52 EDT
Description of problem:
  Cannot place cursor in terminal when text is selected outside

Version-Release number of selected component (if applicable):

  OpenShift Master:v3.6.0-rc.0+3994e0b-376
  Kubernetes Master:v1.7.0+695f48a16f 

How reproducible:

Always

Steps to Reproduce:
1.Login in web console, and create pod
 $oc create -f pod_with_two_containers.json 
2.enter the pod page and switch to the Terminal tab
3.select random text out of the terminal, and try to place the cursor in the terminal via left click.

Actual results:
 Could not place cursor in the terminal and input any commands.

Expected results:
  It should place cursor in the terminal when text are selected outside
Additional info:
  target release 3.7.0
Comment 1 shahan 2017-08-01 04:47 EDT
Created attachment 1307468 [details]
cursor
Comment 2 Samuel Padgett 2017-08-01 13:35:00 EDT
Opened upstream issue in xterm.js. This was reproducible with their demo app outside of the web console.

https://github.com/sourcelair/xterm.js/issues/827

Moving the severity to low. While annoying, it's easy to work around and doesn't block any user functionality.
Comment 3 Samuel Padgett 2017-08-03 08:41:15 EDT
The upstream issue is fixed. We're simply waiting on a new xterm.js release.
Comment 4 Samuel Padgett 2017-08-04 10:15:37 EDT
Fixed in xterm.js 2.9.0. We just need to bump the version in origin-web-console.
Comment 6 openshift-github-bot 2017-08-14 11:28:14 EDT
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/02672a7124e68d771512f30fe83131b546d8b473
Bug 1477110 - bump kubernetes-container-terminal 2.1.0, xterm.js 2.9.2

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1477110
Comment 7 Xingxing Xia 2017-09-20 04:33:56 EDT
hecked in v3.7.0-0.126.4 per comment 0 steps. The problem is gone. When text outside of terminal is selected and cursor is put in terminal, text selection is gone and cursor can be put in.
Sam, please help move to ON_QA if no other concern, thx
Comment 9 shahan 2017-10-30 22:21:19 EDT
Per the comment 7 verified by xingxing xia, and also checked the problem in the latest OCP version (v3.7.0-0.184.0), the bug has been fixed, changed to vierified.

Note You need to log in before you can comment on or make changes to this bug.